/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/_general_styling.scss';

.customCollapseHeader {
  &__customHeader {
    &__formItem {
      .ant-form-item-children {
        display: grid;
        grid-template-columns: 1fr auto 3fr;
        align-items: center;
        column-gap: 2rem;
      }
      label {
        @include primary-text(0.87rem, $coa-grey-100, 500, 1.06rem);
      }
    }
    &__icon {
      &.--success {
        color: $success;
      }
      &.--pending {
        color: $idle;
      }
      &.--info {
        color: $info;
      }
    }
    &__tooltip {
      /* background: $white; */
      padding: 1rem;
      display: flex;
      flex-direction: column;
      row-gap: 0.28rem;

      &__title {
        p {
          @include primary-text(0.87rem, $on-surface, 700);
        }
        display: flex;
        column-gap: 0.45rem;
      }
      &__description {
        @include primary-text(0.87rem, $on-surface, 400);
      }
    }
    &__feedbackMessage {
      @include primary-text(0.87rem, $coa-grey-100, 400, 1.06rem);
    }
    &__resendButton {
      width: fit-content;
      display: flex;
      align-items: center;
    }
  }
}
